%def_disable static

Name: libast
Version: 0.6.1
Release: alt1

Summary: Library of Assorted Spiffy Things
Group: System/Libraries
License: BSD
Url: http://www.eterm.org/
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/download/%name-%version.tar.gz

%define imlib2_ver 1.1.1
%define pcre_ver 4.5

PreReq: imlib2 >= %imlib2_ver

BuildPreReq: libpcre-devel >= %pcre_ver
BuildPreReq: imlib2-devel >= %imlib2_ver

# Automatically added by buildreq on Thu Jan 06 2005
BuildRequires: XFree86-devel-static XFree86-libs freetype2-devel glibc-devel-static imlib2-devel libpcre-devel zlib-devel

%description
LibAST is the Library of Assorted Spiffy Things.  It contains various
handy routines and drop-in substitutes for some good-but-non-portable
functions.  It currently has a built-in memory tracking subsystem as
well as some debugging aids and other similar tools.

It's not documented yet, mostly because it's not finished.  Hence the
version number that begins with 0.

%package devel
Summary: LibAST header files and development libraries
Group: Development/C
Requires: %name = %version-%release
Requires: libpcre-devel >= %pcre_ver
Requires: imlib2-devel >= %imlib2_ver

%description devel
Header files and development libraries for LibAST.

%package devel-static
Summary: LibAST static libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
LibAST static libraries.

%prep
%setup -q

%build
export ac_cv_prog_CTAGS=ctags
%configure \
    %{subst_enable static}

%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc README ChangeLog

%files devel
%_bindir/*
%_includedir/*
%_libdir/*.so
%_datadir/aclocal/*
%doc DESIGN

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Thu Jan 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt1
- 0.6.1

* Thu Dec 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt4
- do not package .la files.
- do not build devel-static subpackage by default.

* Tue Nov 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt3
- requires libpcre-devel >= 4.4-alt1 and libtool-1.4 to build.
- updated buildreqs.

* Wed Oct 23 2002 Dmitry V. Levin <ldv@altlinux.org> 0.5-alt2
- Rebuilt with "libintl-free" freetype-devel and imlib-devel.
- Updated buildrequires.

* Thu Oct 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt1
- 0.5, gcc-3.2 used.

* Thu Apr 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt1
- First build for Sisyphus.
